| MissingH-1.1.0.3: Large utility library | Contents | Index
System.Debian.ControlParser |
Portability | portable
Stability | provisional
Maintainer | John Goerzen <jgoerzen@complete.org>
Description
This module provides various helpful utilities for dealing with Debian files and programs. Written by John Goerzen, jgoerzen@complete.org
Synopsis
control :: CharParser a [(String, String)]
depPart :: CharParser a (String, Maybe (String, String), [String])
Documentation
control :: CharParser a [(String, String)]
Main parser for the control file
depPart :: CharParser a (String, Maybe (String, String), [String])
Dependency parser. Returns (package name, Maybe version, arch list) version is (operator, operand)
Produced by Haddock version 2.7.2